Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFGraphicFrame

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFShape
          org.apache.poi.xssf.usermodel.XSSFGraphicFrame

    public final class XSSFGraphicFrame

extends XSSFShape

Represents DrawingML GraphicalObjectFrame.

Author:
  Roman Kashitsyn

Field Summary

Fields inherited from class org.apache.poi.xssf.usermodel.XSSFShape
`EMU_PER_PIXEL, EMU_PER_POINT, PIXEL_DPI, POINT_DPI`

Method Summary
`XSSFAnchor` | `getAnchor()` Returns the frame anchor.
`org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGraphicalObjectFrame` | `getCTGraphicalObjectFrame()`
`long` | `getId()` Gets the frame id.
`java.lang.String` | `getName()` Returns the frame name.
`void` | `setMacro(java.lang.String macro)` Sets the frame macro.
`void` | `setName(java.lang.String name)` Sets the frame name.

Methods inherited from class org.apache.poi.xssf.usermodel.XSSFShape
`getDrawing, getParent, isNoFill, setFillColor, setLineStyle, setLineStyleColor, setLineWidth, setNoFill`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCTGraphicalObjectFrame

    public org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGraphicalObjectFrame getCTGraphicalObjectFrame()

### setMacro

    public void setMacro(java.lang.String macro)

  Sets the frame macro.

### setName

    public void setName(java.lang.String name)

  Sets the frame name.

### getName

    public java.lang.String getName()

  Returns the frame name.

  Returns:
    name of the frame

### getAnchor

    public XSSFAnchor getAnchor()

  Returns the frame anchor.

  Overrides:
    `getAnchor` in class `XSSFShape`
  Returns:
    the anchor this frame is attached to

### getId

    public long getId()

  Gets the frame id.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD